Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Create voice consent

audio.voice_consents.create(**kwargs) -> VoiceConsent { id, created_at, language, 2 more }
POST
/audio/voice_consents

Upload a voice consent recording.

Parameters
language: String

The BCP 47 language tag for the consent phrase (for example, en-US).

name: String

The label to use for this consent recording.

recording: FileInput

The consent audio recording file. Maximum size is 10 MiB.

Supported MIME types: audio/mpeg, audio/wav, audio/x-wav, audio/ogg, audio/aac, audio/flac, audio/webm, audio/mp4.

Returns

Create voice consent

require "openai"

openai = OpenAI::Client.new(api_key: "My API Key")

voice_consent = openai.audio.voice_consents.create(
  language: "language",
  name: "name",
  recording: StringIO.new("Example data")
)

puts(voice_consent)
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}
Returns Examples
200 example
{
  "id": "cons_1234",
  "created_at": 0,
  "language": "language",
  "name": "name",
  "object": "audio.voice_consent"
}